Skip to main content

private/otc/get-open-deals (RFQ)

POST 

/private/otc/get-open-deals

Get quote requests history. Only return closed quote requests (status = COMPLETED/REJECTED).

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/otc/get-open-deals"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    deal_type stringrequired

    Possible values: [QUOTE_REQUEST]

    QUOTE_REQUEST

    deal_id string

    System generated unique ID for the Deal. If provided, will ignore instrument_name, start_time, and end_time params.

    start_time int64

    Start time in Unix time format (inclusive). Default: end_time - 1 day. Nanosecond recommended for accurate pagination.

    end_time int64

    End time in Unix time format (exclusive). Default: current system timestamp. Nanosecond recommended for accurate pagination.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0.
    deal_list object[]
    List of deals.
  • Array [
  • deal_id string

    System generated unique ID for the Deal

    quote_id string

    System generated unique ID for the Quote

    cl_deal_id string

    Client provided ID for the deal

    deal_type string

    Possible values: [QUOTE_REQUEST]

    QUOTE_REQUEST

    deal_status string

    Possible values: [ACCEPTED, CONFIRMED, SETTLED, REJECTED]

    ACCEPTED = system received deal; CONFIRMED = liquidity provider has executed deal; SETTLED = deal settled and funds transferred; REJECTED = deal rejected

    settlement_arrangement string

    Possible values: [IMMEDIATE, T1]

    Settlement arrangement of the Deal

    create_time_ns string

    Create time of the Deal (in nanoseconds)

    update_time_ns string

    Last updated time of the Deal (in nanoseconds)

    settle_time_ns string

    Scheduled time the deal is to be settled at (in nanoseconds). Early settled deal reflected on update_time_ns. 0 or not present for IMMEDIATE deal.

    quote_req_id string

    System generated unique ID for the quote request

    leg_list object[]
  • Array [
  • instrument_name string

    Instrument of the Deal (e.g., BTC_USD)

    quantity decimal

    Either quantity or notional of the Deal

    notional decimal

    Either quantity or notional of the Deal

    executed_quantity decimal

    Executed qty of the Deal

    executed_notional decimal

    Executed notional of the Deal

    price decimal

    Price of the Deal

    side string

    Possible values: [BUY, SELL]

    The side of the deal

    type string

    Possible values: [PRICE]

    e.g. PRICE

  • ]
  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.